<?php

declare(strict_types=1);

namespace App\Constants;

use Hyperf\Constants\Annotation\Constants;

#[Constants]
class CompanyTypeConst extends AbsConst
{
    /**
     * @Message("开证公司")
     */
    public const int ISSUING_COMPANY = 1;

    /**
     * @Message("收货公司")
     */
    public const int RECEIVING_COMPANY = 2;
}
