<?php
/**
 * Author: ykxiao
 * Date: 2025/6/5
 * Time: 下午1:58
 * Description:
 *
 * (c) ykxiao <yk_9001@hotmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

declare(strict_types=1);

namespace App\JsonRpc;

use Hyperf\RpcClient\AbstractServiceClient;

class InventoryServiceConsumer extends AbstractServiceClient implements InventoryServiceInterface
{
    protected string $serviceName = 'InventoryService';

    protected string $protocol = 'jsonrpc-http';

    /**
     * 新增库存-手动单条.
     */
    public function addInventory(array $data): void
    {
        $this->__request(__FUNCTION__, $data);
    }
}