<?php
/**
 * Author: ykxiao
 * Date: 2025/6/5
 * Time: 下午5:31
 * Description:
 *
 * (c) ykxiao <yk_9001@hotmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

declare(strict_types=1);

namespace App\Repository\Purchase;

use App\Dao\Purchase\PurchaseDao;
use App\Repository\AbstractRepository;

/**
 * Author: ykxiao
 * Date: 2025/6/5
 * Time: 下午5:32
 * Description: PurchaseRepository类用于提供采购相关的数据访问和操作。它继承自AbstractRepository类，并实现了PurchaseDao接口。
 *
 * (c) ykxiao <yk_9001@hotmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */
class PurchaseRepository extends AbstractRepository
{
    public function __construct(PurchaseDao $dao)
    {
        $this->dao = $dao;
    }

    public function addPurchase(array $data): void
    {

    }
}