<?php

declare(strict_types=1);

namespace App\Amqp\Consumer;

use Hyperf\Amqp\Result;
use Hyperf\Amqp\Annotation\Consumer;
use Hyperf\Amqp\Message\ConsumerMessage;
use PhpAmqpLib\Message\AMQPMessage;

#[Consumer(exchange: 'wh_user_import', routingKey: 'wh_user_import_key', queue: 'wh_user_import_queue', name: "UserImportConsumer", nums: 5)]
class UserImportConsumer extends BaseConsumer
{
    public function handle($data): Result
    {
        return Result::ACK;
    }
}
