<?php
/**
 * Author: ykxiao
 * Date: 2025/6/5
 * Time: 下午5:26
 * Description:
 *
 * (c) ykxiao <yk_9001@hotmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

declare(strict_types=1);

namespace App\Dao\Purchase;

use App\Dao\AbstractDao;
use App\Model\Purchase;

/**
 * Author: ykxiao
 * Date: 2025/6/5
 * Time: 下午5:27
 * Description: 采购单入库单数据访问层.
 *
 * (c) ykxiao <yk_9001@hotmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */
class PurchaseDao extends AbstractDao
{
    public function getModel(): string
    {
        return Purchase::class;
    }
}