<?php

declare(strict_types=1);
/**
 * This file is part of Hyperf.
 *
 * @link     https://www.hyperf.io
 * @document https://hyperf.wiki
 * @contact  group@hyperf.io
 * @license  https://github.com/hyperf/hyperf/blob/master/LICENSE
 */

use App\JsonRpc\EasyAppServiceConsumer;
use App\JsonRpc\EasyAppServiceInterface;
use App\JsonRpc\InventoryServiceConsumer;
use App\JsonRpc\InventoryServiceInterface;
use App\JsonRpc\UserAuthServiceConsumer;
use App\JsonRpc\UserAuthServiceInterface;
use App\Log\StdoutLoggerFactory;
use Hyperf\Contract\StdoutLoggerInterface;

return [
    StdoutLoggerInterface::class => StdoutLoggerFactory::class,
    UserAuthServiceInterface::class => UserAuthServiceConsumer::class,
    EasyAppServiceInterface::class => EasyAppServiceConsumer::class,
    InventoryServiceInterface::class => InventoryServiceConsumer::class,
];
